Bug 398441 - sb emu10k1 fails when UM2 midi devive attached at boot
sb emu10k1 fails when UM2 midi devive attached at boot
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 11:02 EST by Mats William Lindberg
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: kernel 2.6.23.14-64.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 14:11:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mats William Lindberg 2007-11-25 11:02:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; sv-SE; rv:1.8.1.3) Gecko/20070417 Fedora/2.0.0.3-4.fc7 Firefox/2.0.0.3

Description of problem:
I recently bought a Roland Edirol USB Midi Interface UM-2EX

If I attach it after boot-up, it is nicely detected and work in all aspects as far as I can see.

If I have it attached during boot-up my soundblaster audigy fails to be detected.
Also the soundcard detection program cannot remedy my problem.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7, alsa-lib-1.0.14-0.4.rc3.fc7

How reproducible:
Always


Steps to Reproduce:
1. Boot with UM-2EX attached in the USB-port


Actual Results:
Soundcard does not work

Expected Results:
Soundcard should work

Additional info:
This is the output from souncard detection ------- System Config Soundcard Log --------
sön nov 25 16:40:14 CET 2007

ALSA lib pcm_hw.c:1357:(_snd_pcm_hw_open) Invalid value for card
aplay: main:545: audio open error: Enheten finns inte
amixer: Mixer attach default error: No such device
amixer: Mixer attach default error: No such device
Running from command-line...


This is the somewhat bigger scsconfig.log

------- System Config Soundcard Log --------
sön nov 25 16:40:37 CET 2007

------- lspci --------
00:00.0 Host bridge: Intel Corporation 82915G/P/GV/GL/PL/910GL Memory Controller Hub (rev 04)
00:01.0 PCI bridge: Intel Corporation 82915G/P/GV/GL/PL/910GL PCI Express Root Port (rev 04)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev d3)
00:1f.0 ISA bridge: Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc RV380 0x3e50 [Radeon X600]
01:00.1 Display controller: ATI Technologies Inc RV380 [Radeon X600] (Secondary)
03:01.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller (rev 80)
03:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
03:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
03:06.0 Multimedia audio controller: Creative Labs SB Audigy (rev 05)
03:07.0 Communication controller: Agere Systems V.92 56K WinModem (rev 03)

------- lspci -vn --------
00:00.0 0600: 8086:2580 (rev 04)
	Subsystem: 103c:2a08
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information

00:01.0 0604: 8086:2581 (rev 04) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: cfe00000-cfefffff
	Prefetchable memory behind bridge: d0000000-dfffffff
	Capabilities: [88] Subsystem: 103c:2a08
	Capabilities: [80] Power Management version 2
	Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
	Capabilities: [a0] Express Root Port (Slot+) IRQ 0

00:1c.0 0604: 8086:2660 (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Capabilities: [40] Express Root Port (Slot+) IRQ 0
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
	Capabilities: [90] Subsystem: 103c:2a0a
	Capabilities: [a0] Power Management version 2

00:1d.0 0c03: 8086:2658 (rev 03) (prog-if 00 [UHCI])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at a480 [size=32]

00:1d.1 0c03: 8086:2659 (rev 03) (prog-if 00 [UHCI])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at a800 [size=32]

00:1d.2 0c03: 8086:265a (rev 03) (prog-if 00 [UHCI])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 19
	I/O ports at a880 [size=32]

00:1d.3 0c03: 8086:265b (rev 03) (prog-if 00 [UHCI])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at ac00 [size=32]

00:1d.7 0c03: 8086:265c (rev 03) (prog-if 20 [EHCI])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 17
	Memory at cfdffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port

00:1e.0 0604: 8086:244e (rev d3) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
	I/O behind bridge: 0000d000-0000efff
	Memory behind bridge: cff00000-cfffffff
	Capabilities: [50] Subsystem: 103c:2a0a

00:1f.0 0601: 8086:2640 (rev 03)
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0

00:1f.1 0101: 8086:266f (rev 03) (prog-if 8a [Master SecP PriP])
	Subsystem: 103c:2a0a
	Flags: bus master, medium devsel, latency 0, IRQ 19
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4 [size=1]
	I/O ports at 0170 [size=8]
	I/O ports at 0374 [size=1]
	I/O ports at ffa0 [size=16]

00:1f.2 0101: 8086:2651 (rev 03) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: 103c:2a0a
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 18
	I/O ports at a400 [size=8]
	I/O ports at a080 [size=4]
	I/O ports at a000 [size=8]
	I/O ports at 9c00 [size=4]
	I/O ports at 9880 [size=16]
	Capabilities: [70] Power Management version 2

00:1f.3 0c05: 8086:266a (rev 03)
	Subsystem: 103c:2a0a
	Flags: medium devsel, IRQ 18
	I/O ports at 0400 [size=32]

01:00.0 0300: 1002:3e50 (prog-if 00 [VGA])
	Subsystem: 1043:0328
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at b000 [size=256]
	Memory at cfee0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at cfec0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint IRQ 0
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-

01:00.1 0380: 1002:3e70
	Subsystem: 1043:0329
	Flags: bus master, fast devsel, latency 0
	Memory at cfef0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Endpoint IRQ 0

03:01.0 0c00: 1106:3044 (rev 80) (prog-if 10 [OHCI])
	Subsystem: 103c:2a0c
	Flags: bus master, medium devsel, latency 64, IRQ 20
	Memory at cffff800 (32-bit, non-prefetchable) [size=2K]
	I/O ports at ec00 [size=128]
	Capabilities: [50] Power Management version 2

03:02.0 0200: 10ec:8139 (rev 10)
	Subsystem: 103c:2a0b
	Flags: bus master, medium devsel, latency 64, IRQ 21
	I/O ports at e800 [size=256]
	Memory at cffff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2

03:04.0 0200: 10ec:8139 (rev 10)
	Subsystem: 11f6:8139
	Flags: bus master, medium devsel, latency 64, IRQ 16
	I/O ports at e400 [size=256]
	Memory at cffff000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [50] Power Management version 2

03:06.0 0401: 1102:0004 (rev 05)
	Subsystem: 1102:2005
	Flags: bus master, medium devsel, latency 64, IRQ 11
	I/O ports at e080 [size=64]
	Capabilities: [dc] Power Management version 2

03:07.0 0780: 11c1:048c (rev 03)
	Subsystem: 11c1:044c
	Flags: bus master, medium devsel, latency 64, IRQ 255
	Memory at cfffec00 (32-bit, non-prefetchable) [size=256]
	I/O ports at e000 [size=8]
	I/O ports at d800 [size=256]
	Capabilities: [f8] Power Management version 2

------- lsmod --------
Module                  Size  Used by
ppdev                  12804  0 
usblp                  17792  0 
autofs4                24964  2 
rfcomm                 45592  0 
l2cap                  30592  5 rfcomm
bluetooth              58852  4 rfcomm,l2cap
sunrpc                163836  1 
8021q                  23304  0 
nf_conntrack_netbios_ns     7296  0 
ipt_REJECT              8448  1 
nf_conntrack_ipv4      15240  2 
xt_state                6528  2 
nf_conntrack           65160  3 nf_conntrack_netbios_ns,nf_conntrack_ipv4,xt_state
nfnetlink               9880  2 nf_conntrack_ipv4,nf_conntrack
xt_tcpudp               7168  4 
iptable_filter          7040  1 
ip_tables              16452  1 iptable_filter
x_tables               18948  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
video                  20744  0 
sbs                    22920  0 
button                 12048  0 
dock                   14452  0 
battery                14084  0 
ac                      9348  0 
radeon                116896  2 
drm                    80788  3 radeon
ipv6                  282756  32 
lp                     16712  0 
loop                   21508  0 
snd_emu10k1_synth      10880  0 
snd_emux_synth         35328  1 snd_emu10k1_synth
snd_seq_virmidi        11520  1 snd_emux_synth
snd_seq_midi_emul       9984  1 snd_emux_synth
snd_emu10k1           128160  1 snd_emu10k1_synth
snd_ac97_codec         97060  1 snd_emu10k1
ac97_bus                6528  1 snd_ac97_codec
snd_seq_dummy           7812  0 
snd_seq_oss            34048  0 
snd_usb_audio          79744  0 
snd_seq_midi_event     11136  2 snd_seq_virmidi,snd_seq_oss
snd_seq                51312  8 snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            43648  0 
snd_mixer_oss          19584  1 snd_pcm_oss
snd_pcm                75524  4 snd_emu10k1,snd_ac97_codec,snd_usb_audio,snd_pcm_oss
snd_timer              25220  3 snd_emu10k1,snd_seq,snd_pcm
snd_page_alloc         13704  2 snd_emu10k1,snd_pcm
snd_usb_lib            19712  1 snd_usb_audio
snd_util_mem            8704  2 snd_emux_synth,snd_emu10k1
snd_rawmidi            26880  3 snd_seq_virmidi,snd_emu10k1,snd_usb_lib
snd_seq_device         11916  7 snd_emu10k1_synth,snd_emux_synth,snd_emu10k1,snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
snd_hwdep              13188  3 snd_emux_synth,snd_emu10k1,snd_usb_audio
snd                    54020  16 snd_emux_synth,snd_seq_virmidi,snd_emu10k1,snd_ac97_codec,snd_seq_oss,snd_usb_audio,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_rawmidi,snd_seq_device,snd_hwdep
8139cp                 26112  0 
usb_storage            77632  0 
ohci1394               37296  0 
8139too                29056  0 
soundcore              12128  1 snd
mii                     9344  2 8139cp,8139too
parport_pc             31396  1 
parport                38984  3 ppdev,lp,parport_pc
i2c_i801               12688  0 
rtc_cmos               11808  0 
i2c_core               28288  1 i2c_i801
serio_raw              10884  0 
sr_mod                 21028  0 
cdrom                  37152  1 sr_mod
iTCO_wdt               15060  0 
iTCO_vendor_support     7812  1 iTCO_wdt
joydev                 13760  0 
sg                     37532  0 
dm_snapshot            20928  0 
dm_zero                 6144  0 
dm_mirror              25600  0 
dm_mod                 58176  8 dm_snapshot,dm_zero,dm_mirror
ata_piix               18564  2 
ata_generic            11652  0 
libata                119920  2 ata_piix,ata_generic
sd_mod                 31744  3 
scsi_mod              141932  5 usb_storage,sr_mod,sg,libata,sd_mod
ext3                  126088  2 
jbd                    59304  1 ext3
mbcache                12804  1 ext3
ehci_hcd               35084  0 
ohci_hcd               23812  0 
uhci_hcd               27024  0 

------- /etc/modprobe.conf --------
alias eth0 8139too
alias scsi_hostadapter ata_piix
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-emu10k1
alias eth1 8139too
options snd cards_limit=8
alias snd-card-0 snd-emu10k1
options snd-emu10k1 index=0

------- /etc/asound.conf --------
#Generated by system-config-soundcard
#If you edit this file, don't run system-config-soundcard,
#all changes could be lost.
#SWCONF
#DEV 0
defaults.pcm.card 0 
defaults.pcm.device 0 
defaults.ctl.card 0 

------- aplay -l --------
aplay: device_list:204: no soundcards found...

------- amixer --------


------- /proc/asound/version --------
Advanced Linux Sound Architecture Driver Version 1.0.14 (Thu May 31 09:03:25 2007 UTC).

------- rpm -q alsa-lib --------
alsa-lib-1.0.14-0.4.rc3.fc7

------- rpm -q alsa-utils --------
alsa-utils-1.0.14-0.5.rc2.fc7

------- /proc/asound/modules --------


------- /proc/asound/pcm --------


------- /etc/sysconfig/hwconf --------
-
class: OTHER
bus: PCI
detached: 0
driver: i2c-i801
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller"
vendorId: 8086
deviceId: 266a
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  3
-
class: OTHER
bus: PCI
detached: 0
driver: intel-rng
desc: "Intel Corporation 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge"
vendorId: 8086
deviceId: 2640
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82801 PCI Bridge"
vendorId: 8086
deviceId: 244e
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1e
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1"
vendorId: 8086
deviceId: 2660
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1c
pcifn:  0
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82915G/P/GV/GL/PL/910GL PCI Express Root Port"
vendorId: 8086
deviceId: 2581
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  1
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
driver: snd-usb-audio
desc: "EDIROL UM-2"
usbclass: 255
usbsubclass: 255
usbprotocol: 0
usbbus: 3
usblevel: 1
usbport: 1
usbdev: 2
vendorId: 0582
deviceId: 0005
usbmfr: EDIROL
usbprod: UM-2
-
class: OTHER
bus: USB
detached: 0
driver: snd-usb-audio
desc: "EDIROL UM-2"
usbclass: 255
usbsubclass: 255
usbprotocol: 0
usbbus: 3
usblevel: 1
usbport: 1
usbdev: 2
vendorId: 0582
deviceId: 0005
usbmfr: EDIROL
usbprod: UM-2
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "INT0800"
deviceId: INT0800
-
class: OTHER
bus: PCI
detached: 0
desc: "Intel Corporation 82915G/P/GV/GL/PL/910GL Memory Controller Hub"
vendorId: 8086
deviceId: 2580
subVendorId: 103c
subDeviceId: 2a08
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  0
pcifn:  0
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.22.6-1.rt9.5.fc7.ccrmart ehci_hcd EHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 5
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.22.6-1.rt9.5.fc7.ccrmart ehci_hcd
usbprod: EHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 3
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: USB
detached: 0
desc: "Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd UHCI Host Controller"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 4
usblevel: 0
usbport: 0
usbdev: 1
vendorId: 0000
deviceId: 0000
usbmfr: Linux 2.6.22.6-1.rt9.5.fc7.ccrmart uhci_hcd
usbprod: UHCI Host Controller
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0200"
deviceId: PNP0200
-
class: OTHER
bus: ISAPNP
detached: 0
driver: parport_pc
desc: "PNP0401"
deviceId: PNP0401
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0800"
deviceId: PNP0800
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0a08"
deviceId: PNP0a08
compat: PNP0a03
-
class: OTHER
bus: ISAPNP
detached: 0
driver: rtc-cmos
desc: "PNP0b00"
deviceId: PNP0b00
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c01"
deviceId: PNP0c01
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c01"
deviceId: PNP0c01
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c02"
deviceId: PNP0c02
-
class: OTHER
bus: ISAPNP
detached: 0
desc: "PNP0c04"
deviceId: PNP0c04
-
class: OTHER
bus: PSAUX
detached: 0
desc: "Power Button (CM)"
-
class: OTHER
bus: PSAUX
detached: 0
desc: "Power Button (FF)"
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: 8139too
desc: "Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+"
network.hwaddr: 00:11:2f:e2:b9:dc
vendorId: 10ec
deviceId: 8139
subVendorId: 103c
subDeviceId: 2a0b
pciType: 1
pcidom:    0
pcibus:  3
pcidev:  2
pcifn:  0
-
class: NETWORK
bus: PCI
detached: 0
device: eth1
driver: 8139too
desc: "Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+"
network.hwaddr: 00:c0:26:68:a6:17
vendorId: 10ec
deviceId: 8139
subVendorId: 11f6
subDeviceId: 8139
pciType: 1
pcidom:    0
pcibus:  3
pcidev:  4
pcifn:  0
-
class: MOUSE
bus: USB
detached: 0
device: input/mice
driver: genericwheelusb
desc: "BTC USB Multimedia Cordless Kit"
usbclass: 3
usbsubclass: 1
usbprotocol: 2
usbbus: 2
usblevel: 1
usbport: 0
usbdev: 3
vendorId: 03f0
deviceId: 050c
usbmfr: BTC
usbprod: USB Multimedia Cordless Kit
-
class: MOUSE
bus: PSAUX
detached: 0
device: input/mice
driver: generic3ps/2
desc: "Macintosh mouse button emulation"
-
class: AUDIO
bus: PCI
detached: 0
driver: snd-emu10k1
desc: "Creative Labs SB Audigy"
vendorId: 1102
deviceId: 0004
subVendorId: 1102
subDeviceId: 2005
pciType: 1
pcidom:    0
pcibus:  3
pcidev:  6
pcifn:  0
-
class: CDROM
bus: SCSI
detached: 0
device: scd0
desc: "HP DVD Writer 630c"
host: 0
id: 0
channel: 0
lun: 0
-
class: CDROM
bus: SCSI
detached: 0
device: scd1
desc: "TSSTcorp DVD-ROM TS-H352C"
host: 0
id: 1
channel: 0
lun: 0
-
class: MODEM
bus: PCI
detached: 0
desc: "Agere Systems V.92 56K WinModem"
vendorId: 11c1
deviceId: 048c
subVendorId: 11c1
subDeviceId: 044c
pciType: 1
pcidom:    0
pcibus:  3
pcidev:  7
pcifn:  0
-
class: VIDEO
bus: PCI
detached: 0
desc: "ATI Technologies Inc RV380 [Radeon X600] (Secondary)"
vendorId: 1002
deviceId: 3e70
subVendorId: 1043
subDeviceId: 0329
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  1
-
class: VIDEO
bus: PCI
detached: 0
driver: radeonfb
desc: "ATI Technologies Inc RV380 0x3e50 [Radeon X600]"
video.xdriver: radeon
vendorId: 1002
deviceId: 3e50
subVendorId: 1043
subDeviceId: 0328
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
-
class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "  USB Reader"
usbclass: 8
usbsubclass: 6
usbprotocol: 80
usbbus: 4
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 058f
deviceId: 9360
usbmfr:  
usbprod: USB Reader
-
class: HD
bus: SCSI
detached: 0
device: sda
desc: "ATA WDC WD2500JD-22H"
host: 2
id: 0
channel: 0
lun: 0
-
class: HD
bus: SCSI
detached: 0
device: sdb
desc: "Generic USB SD Reader"
host: 4
id: 0
channel: 0
lun: 0
-
class: HD
bus: SCSI
detached: 0
device: sdc
desc: "Generic USB CF Reader"
host: 4
id: 0
channel: 0
lun: 1
-
class: HD
bus: SCSI
detached: 0
device: sdd
desc: "Generic USB SM Reader"
host: 4
id: 0
channel: 0
lun: 2
-
class: HD
bus: SCSI
detached: 0
device: sde
desc: "Generic USB MS Reader"
host: 4
id: 0
channel: 0
lun: 3
-
class: KEYBOARD
bus: USB
detached: 0
driver: keybdev
desc: "BTC USB Multimedia Cordless Kit"
usbclass: 3
usbsubclass: 1
usbprotocol: 1
usbbus: 2
usblevel: 1
usbport: 0
usbdev: 3
vendorId: 03f0
deviceId: 050c
usbmfr: BTC
usbprod: USB Multimedia Cordless Kit
-
class: USB
bus: PCI
detached: 0
driver: ehci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller"
vendorId: 8086
deviceId: 265c
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  7
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4"
vendorId: 8086
deviceId: 265b
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  3
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3"
vendorId: 8086
deviceId: 265a
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  2
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2"
vendorId: 8086
deviceId: 2659
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  1
-
class: USB
bus: PCI
detached: 0
driver: uhci-hcd
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1"
vendorId: 8086
deviceId: 2658
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1d
pcifn:  0
-
class: FIREWIRE
bus: PCI
detached: 0
driver: ohci1394
desc: "VIA Technologies, Inc. IEEE 1394 Host Controller"
vendorId: 1106
deviceId: 3044
subVendorId: 103c
subDeviceId: 2a0c
pciType: 1
pcidom:    0
pcibus:  3
pcidev:  1
pcifn:  0
-
class: IDE
bus: PCI
detached: 0
driver: ata_piix
desc: "Intel Corporation 82801FB/FW (ICH6/ICH6W) SATA Controller"
vendorId: 8086
deviceId: 2651
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  2
-
class: IDE
bus: PCI
detached: 0
driver: ata_piix
desc: "Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller"
vendorId: 8086
deviceId: 266f
subVendorId: 103c
subDeviceId: 2a0a
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 1f
pcifn:  1

------- dmesg --------
Linux version 2.6.22.6-1.rt9.5.fc7.ccrmart (machbuild@planetforge.stanford.edu) (gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP PREEMPT RT Thu Sep 6 15:02:53 EDT 2007
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001ffc0000 (usable)
 BIOS-e820: 000000001ffc0000 - 000000001ffce000 (ACPI data)
 BIOS-e820: 000000001ffce000 - 000000001fff0000 (ACPI NVS)
 BIOS-e820: 000000001fff0000 - 0000000020000000 (reserved)
 BIOS-e820: 00000000ffb80000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
511MB LOWMEM available.
found SMP MP-table at 000ff780
Entering add_active_range(0, 0, 131008) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   131008
  HighMem    131008 ->   131008
early_node_map[1] active PFN ranges
    0:        0 ->   131008
On node 0 totalpages: 131008
  DMA zone: 56 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4040 pages, LIFO batch:0
  Normal zone: 1735 pages used for memmap
  Normal zone: 125177 pages, LIFO batch:31
  HighMem zone: 0 pages used for memmap
DMI 2.3 present.
Using APIC driver default
ACPI: RSDP 000FB6E0, 0014 (r0 ACPIAM)
ACPI: RSDT 1FFC0000, 0034 (r1 A M I  OEMRSDT  11000412 MSFT       97)
ACPI: FACP 1FFC0200, 0081 (r1 A M I  OEMFACP  11000412 MSFT       97)
ACPI: DSDT 1FFC0400, 41C3 (r1  A0005 A0005055       55 INTL  2002026)
ACPI: FACS 1FFCE000, 0040
ACPI: APIC 1FFC0390, 0070 (r1 A M I  OEMAPIC  11000412 MSFT       97)
ACPI: OEMB 1FFCE040, 004C (r1 A M I  AMI_OEM  11000412 MSFT       97)
ACPI: MCFG 1FFC45D0, 003C (r1 A M I  OEMMCFG  11000412 MSFT       97)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 15:4 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 15:4 APIC version 20
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 30000000 (gap: 20000000:dfb80000)
Real-Time Preemption Support (C) 2004-2007 Ingo Molnar
Built 1 zonelists.  Total pages: 129217
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
WARNING: experimental RCU implementation.
PID hash table entries: 2048 (order: 11, 8192 bytes)
Detected 3201.093 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Memory: 508068k/524032k available (2174k kernel code, 15420k reserved, 1185k data, 260k init, 0k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xe0800000 - 0xff7fe000   ( 495 MB)
    lowmem  : 0xc0000000 - 0xdffc0000   ( 511 MB)
      .init : 0xc074f000 - 0xc0790000   ( 260 kB)
      .data : 0xc061fa9e - 0xc0748144   (1185 kB)
      .text : 0xc0400000 - 0xc061fa9e   (2174 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Calibrating delay using timer specific routine.. 6405.11 BogoMIPS (lpj=3202555)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: bfebfbff 00100000 00000000 00000000 0000441d 00000000 00000000
monitor/mwait feature present.
using mwait in idle threads.
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
CPU: After all inits, caps: bfebfbff 00100000 00000000 0000b180 0000441d 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU0: Intel P4/Xeon Extended MCE MSRs (12) available
CPU0: Thermal monitoring enabled
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
ACPI: Core revision 20070126
CPU0: Intel(R) Pentium(R) 4 CPU 3.20GHz stepping 01
SMP alternatives: switching to SMP code
Booting processor 1/1 eip 3000
Initializing CPU#1
Calibrating delay using timer specific routine.. 6401.08 BogoMIPS (lpj=3200541)
CPU: After generic identify, caps: bfebfbff 00100000 00000000 00000000 0000441d 00000000 00000000
monitor/mwait feature present.
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
CPU: After all inits, caps: bfebfbff 00100000 00000000 0000b180 0000441d 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#1.
CPU1: Intel P4/Xeon Extended MCE MSRs (12) available
CPU1: Thermal monitoring enabled
CPU1: Intel(R) Pentium(R) 4 CPU 3.20GHz stepping 01
Total of 2 processors activated (12806.19 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Brought up 2 CPUs
sizeof(vma)=84 bytes
sizeof(page)=56 bytes
sizeof(inode)=492 bytes
sizeof(dentry)=160 bytes
sizeof(ext3inode)=672 bytes
sizeof(buffer_head)=120 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=1616 bytes
Time: 11:49:47  Date: 10/25/107
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved
PCI: Not using MMCONFIG.
PCI: PCI BIOS revision 2.10 entry at 0xf0031, last bus=3
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 0800-087f claimed by ICH6 ACPI/GPIO/TCO
PCI quirk: region 0480-04bf claimed by ICH6 GPIO
PCI: Transparent bridge - 0000:00:1e.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 *4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 *6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 *5 6 7 10 11 12 14 15)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 15 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
ACPI: RTC can wake from S4
pnp: 00:01: iomem range 0xfed13000-0xfed19fff has been reserved
pnp: 00:07: ioport range 0x680-0x6ff has been reserved
pnp: 00:08: iomem range 0xfed1c000-0xfed1ffff has been reserved
pnp: 00:08: iomem range 0xfed20000-0xfed8ffff has been reserved
pnp: 00:0a: iomem range 0xffc00000-0xfff7ffff could not be reserved
pnp: 00:0b: iomem range 0xfec00000-0xfec00fff has been reserved
pnp: 00:0b: iomem range 0xfee00000-0xfee00fff has been reserved
pnp: 00:0c: iomem range 0xe0000000-0xefffffff has been reserved
pnp: 00:0d: iomem range 0xe0000000-0xefffffff has been reserved
pnp: 00:0e: iomem range 0x0-0x9ffff could not be reserved
pnp: 00:0e: iomem range 0x0-0x0 could not be reserved
pnp: 00:0e: iomem range 0xe0000-0xfffff could not be reserved
pnp: 00:0e: iomem range 0x100000-0x1fffffff could not be reserved
PCI: Bridge: 0000:00:01.0
  IO window: b000-bfff
  MEM window: cfe00000-cfefffff
  PREFETCH window: d0000000-dfffffff
PCI: Bridge: 0000:00:1c.0
  IO window: c000-cfff
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:1e.0
  IO window: d000-efff
  MEM window: cff00000-cfffffff
  PREFETCH window: disabled.
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:01.0 to 64
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1c.0 to 64
PCI: Setting latency timer of device 0000:00:1e.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 4096 (order: 2, 16384 bytes)
TCP established hash table entries: 16384 (order: 7, 720896 bytes)
TCP bind hash table entries: 16384 (order: 7, 589824 bytes)
TCP: Hash tables configured (established 16384 bind 16384)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 3494k freed
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: disabled - APM is not SMP safe.
audit: initializing netlink socket (disabled)
audit(1195991387.200:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Boot video device is 0000:01:00.0
PCI: Setting latency timer of device 0000:00:01.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:01.0:pcie00]
PCI: Setting latency timer of device 0000:00:1c.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:1c.0:pcie00]
Allocate Port Service[0000:00:1c.0:pcie02]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Processor [CPU1] (supports 8 throttling states)
cpuidle: driver acpi_idle failed to attach to cpu 1
cpuidle: driver acpi_idle failed to attach to cpu 0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Generic RTC Driver v1.07
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
cpuidle: using governor menu
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Using IPI No-Shortcut mode
  Magic number: 15:861:833
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 260k freed
Write protecting the kernel read-only data: 897k
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.0 to 64
uhci_hcd 0000:00:1d.0: UHCI Host Controller
uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:1d.0: irq 17, io base 0x0000a480
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.1 to 64
uhci_hcd 0000:00:1d.1: UHCI Host Controller
uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:1d.1: irq 18, io base 0x0000a800
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 3
uhci_hcd 0000:00:1d.2: irq 19, io base 0x0000a880
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:1d.3[D] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1d.3 to 64
uhci_hcd 0000:00:1d.3: UHCI Host Controller
uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.3: irq 16, io base 0x0000ac00
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:00:1d.7 to 64
ehci_hcd 0000:00:1d.7: EHCI Host Controller
ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 5
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 128 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: irq 17, io mem 0xcfdffc00
usb 2-1: new low speed USB device using uhci_hcd and address 2
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb5: configuration #1 chosen from 1 choice
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 8 ports detected
SCSI subsystem initialized
libata version 2.21 loaded.
ata_piix 0000:00:1f.1: version 2.11
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1f.1 to 64
scsi0 : ata_piix
scsi1 : ata_piix
ata1: PATA max UDMA/100 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001ffa0 irq 14
ata2: PATA max UDMA/100 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001ffa8 irq 15
ata1.00: ATAPI: HP  DVD Writer 630, AH02, max UDMA/33
ata1.01: ATAPI: TSSTcorpDVD-ROM TS-H352C, HP01, max UDMA/33
ata1.00: configured for UDMA/33
ata1.01: configured for UDMA/33
ata2: port disabled. ignoring.
scsi 0:0:0:0: CD-ROM            HP       DVD Writer 630c  AH02 PQ: 0 ANSI: 5
scsi 0:0:1:0: CD-ROM            TSSTcorp DVD-ROM TS-H352C HP01 PQ: 0 ANSI: 5
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1f.2 to 64
scsi2 : ata_piix
scsi3 : ata_piix
ata3: SATA max UDMA/133 cmd 0x0001a400 ctl 0x0001a082 bmdma 0x00019880 irq 18
ata4: SATA max UDMA/133 cmd 0x0001a000 ctl 0x00019c02 bmdma 0x00019888 irq 18
usb 2-1: new low speed USB device using uhci_hcd and address 3
ata3.00: ATA-6: WDC WD2500JD-22HBB0, 08.02D08, max UDMA/133
ata3.00: 488397168 sectors, multi 16: LBA48 
ata3.00: configured for UDMA/133
usb 2-1: configuration #1 chosen from 1 choice
scsi 2:0:0:0: Direct-Access     ATA      WDC WD2500JD-22H 08.0 PQ: 0 ANSI: 5
sd 2:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 2:0:0:0: [sda] 488397168 512-byte hardware sectors (250059 MB)
sd 2:0:0:0: [sda] Write Protect is off
sd 2:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
 sda: sda1 sda2 sda3 sda4 <<6>input: BTC USB Multimedia Cordless Kit   as /class/input/input1
input: USB HID v1.00 Keyboard [BTC USB Multimedia Cordless Kit  ] on usb-0000:00:1d.1-1
 sda5 >
sd 2:0:0:0: [sda] Attached SCSI disk
input: BTC USB Multimedia Cordless Kit   as /class/input/input2
input,hiddev96: USB HID v1.00 Mouse [BTC USB Multimedia Cordless Kit  ] on usb-0000:00:1d.1-1
usb 3-2: new full speed USB device using uhci_hcd and address 2
usb 3-2: configuration #1 chosen from 1 choice
usb 4-1: new full speed USB device using uhci_hcd and address 2
usb 4-1: configuration #1 chosen from 1 choice
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
audit(1195991392.700:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  3 users, 6 roles, 1816 types, 78 bools, 1 sens, 1024 cats
security:  60 classes, 65638 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev dm-0, type ext3), uses xattr
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev anon_inodefs, type anon_inodefs), not configured for labeling
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1195991393.200:3): policy loaded auid=4294967295
scsi 0:0:0:0: Attached scsi generic sg0 type 5
scsi 0:0:1:0: Attached scsi generic sg1 type 5
sd 2:0:0:0: Attached scsi generic sg2 type 0
iTCO_vendor_support: vendor-support=0
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.01 (21-Jan-2007)
iTCO_wdt: Found a ICH6 or ICH6R TCO device (Version=2, TCOBASE=0x0860)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
intel_rng: FWH not detected
audit(1195987798.382:4): avc:  denied  { getsched } for  pid=825 comm="modprobe" scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tclass=process
audit(1195987798.382:5): avc:  denied  { setsched } for  pid=825 comm="modprobe" scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tclass=process
audit(1195987798.382:6): avc:  denied  { setsched } for  pid=825 comm="modprobe" scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tclass=process
audit(1195987798.382:7): avc:  denied  { setsched } for  pid=825 comm="modprobe" scontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tcontext=system_u:system_r:insmod_t:s0-s0:c0.c1023 tclass=process
sr0: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 0:0:0:0: Attached scsi CD-ROM sr0
sr1: scsi3-mmc drive: 40x/40x cd/rw xa/form2 cdda tray
sr 0:0:1:0: Attached scsi CD-ROM sr1
rtc_cmos 00:03: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one month
ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 19 (level, low) -> IRQ 18
parport_pc 00:06: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
ACPI: PCI Interrupt 0000:03:01.0[A] -> GSI 20 (level, low) -> IRQ 20
8139too Fast Ethernet driver 0.9.28
Initializing USB Mass Storage driver...
scsi4 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[20]  MMIO=[cffff800-cfffffff]  Max Packet=[2048]  IR/IT contexts=[4/8]
ACPI: PCI Interrupt 0000:03:02.0[A] -> GSI 21 (level, low) -> IRQ 21
eth0: RealTek RTL8139 at 0xe0922400, 00:11:2f:e2:b9:dc, IRQ 21
eth0:  Identified 8139 chip type 'RTL-8101'
ACPI: PCI Interrupt 0000:03:04.0[A] -> GSI 16 (level, low) -> IRQ 16
eth1: RealTek RTL8139 at 0xe097c000, 00:c0:26:68:a6:17, IRQ 16
eth1:  Identified 8139 chip type 'RTL-8139C'
usbcore: registered new interface driver snd-usb-audio
audit(1195987800.381:8): avc:  denied  { search } for  pid=1192 comm="salsa" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987800.381:9): avc:  denied  { search } for  pid=1192 comm="alsactl" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=dir
cannot find the slot for index 0 (range 0-7), error: -16
EMU10K1_Audigy: probe of 0000:03:06.0 failed with error -12
loop: module loaded
Floppy drive(s): fd0 is unknown type 12 (usb?)
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00e0180000b56bc2]
floppy0: no floppy controllers found
audit(1195987803.381:10): avc:  denied  { getsched } for  pid=1244 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:11): avc:  denied  { setsched } for  pid=1244 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:12): avc:  denied  { setsched } for  pid=1244 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:13): avc:  denied  { setsched } for  pid=1244 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
lp0: using parport0 (interrupt-driven).
lp0: console ready
sonypi: Sony Programmable I/O Controller Driver v1.26.
audit(1195987803.381:14): avc:  denied  { getsched } for  pid=1266 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:15): avc:  denied  { setsched } for  pid=1266 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:16): avc:  denied  { setsched } for  pid=1266 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987803.381:17): avc:  denied  { setsched } for  pid=1266 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
usb-storage: device scan complete
scsi 4:0:0:0: Direct-Access     Generic  USB SD Reader    1.00 PQ: 0 ANSI: 0
scsi 4:0:0:1: Direct-Access     Generic  USB CF Reader    1.01 PQ: 0 ANSI: 0
scsi 4:0:0:2: Direct-Access     Generic  USB SM Reader    1.02 PQ: 0 ANSI: 0
scsi 4:0:0:3: Direct-Access     Generic  USB MS Reader    1.03 PQ: 0 ANSI: 0
sd 4:0:0:0: [sdb] Attached SCSI removable disk
sd 4:0:0:0: Attached scsi generic sg3 type 0
sd 4:0:0:1: [sdc] Attached SCSI removable disk
sd 4:0:0:1: Attached scsi generic sg4 type 0
sd 4:0:0:2: [sdd] Attached SCSI removable disk
sd 4:0:0:2: Attached scsi generic sg5 type 0
sd 4:0:0:3: [sde] Attached SCSI removable disk
sd 4:0:0:3: Attached scsi generic sg6 type 0
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
[drm] Initialized drm 1.1.0 20060810
[drm] Initialized radeon 1.27.0 20060524 on minor 0
audit(1195987809.380:18): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:19): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:20): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:21): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:22): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:23): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:24): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:25): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:26): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:27): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:28): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987809.380:29): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987810.880:30): avc:  denied  { search } for  pid=1277 comm="rhgb" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:rhgb_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195987810.880:31): avc:  denied  { getsched } for  pid=1415 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987810.880:32): avc:  denied  { setsched } for  pid=1415 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987810.880:33): avc:  denied  { setsched } for  pid=1415 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987810.880:34): avc:  denied  { setsched } for  pid=1415 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
No dock devices found.
audit(1195987811.380:35): avc:  denied  { getsched } for  pid=1430 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:36): avc:  denied  { setsched } for  pid=1430 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:37): avc:  denied  { setsched } for  pid=1430 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:38): avc:  denied  { setsched } for  pid=1430 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
input: Power Button (FF) as /class/input/input3
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input4
ACPI: Power Button (CM) [PWRB]
audit(1195987811.380:39): avc:  denied  { getsched } for  pid=1457 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:40): avc:  denied  { setsched } for  pid=1457 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:41): avc:  denied  { setsched } for  pid=1457 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987811.380:42): avc:  denied  { setsched } for  pid=1457 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda3, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sda3, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 1048568k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1 across:1048568k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
audit(1195987814.379:43): avc:  denied  { getsched } for  pid=1598 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987814.379:44): avc:  denied  { setsched } for  pid=1598 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987814.379:45): avc:  denied  { setsched } for  pid=1598 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
audit(1195987814.379:46): avc:  denied  { setsched } for  pid=1598 comm="modprobe" scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (4094 buckets, 32752 max)
802.1Q VLAN Support v1.8 Ben Greear <greearb@candelatech.com>
All bugs added by David S. Miller <davem@redhat.com>
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
audit(1195987817.879:47): avc:  denied  { read } for  pid=2049 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:48): avc:  denied  { read } for  pid=2049 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:49): avc:  denied  { read } for  pid=2049 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:50): avc:  denied  { read } for  pid=2049 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:51): avc:  denied  { read } for  pid=2050 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:52): avc:  denied  { read } for  pid=2050 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987817.879:53): avc:  denied  { read } for  pid=2050 comm="mcstransd" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:setrans_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
audit(1195987826.378:54): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:55): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:56): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:57): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:58): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:59): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
audit(1195987826.378:60): avc:  denied  { read } for  pid=2381 comm="gpm" name="localtime" dev=dm-0 ino=4288547 scontext=system_u:system_r:gpm_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=file
eth0: no IPv6 routers present
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
usb 2-2: new full speed USB device using uhci_hcd and address 4
usb 2-2: configuration #1 chosen from 1 choice
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
drivers/usb/class/usblp.c: usblp0: USB Bidirectional printer dev 4 if 1 alt 0 proto 2 vid 0x03F0 pid 0x4911
usbcore: registered new interface driver usblp
drivers/usb/class/usblp.c: v0.13: USB Printer Device Class driver
audit(1195991611.354:61): avc:  denied  { search } for  pid=3377 comm="python" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=dir
ppdev: user-space parallel port driver
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
usb-storage: device scan complete
scsi 5:0:0:0: Direct-Access     HP       PSC 2355         1.00 PQ: 0 ANSI: 2
sd 5:0:0:0: [sdf] Attached SCSI removable disk
sd 5:0:0:0: Attached scsi generic sg7 type 0
drivers/usb/class/usblp.c: usblp0: removed
audit(1195994176.007:62): avc:  denied  { search } for  pid=3925 comm="procmail" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:procmail_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195994757.542:63): avc:  denied  { read } for  pid=5505 comm="updatedb" name="mlocate.db" dev=dm-0 ino=197539 scontext=system_u:system_r:locate_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file
audit(1195994802.545:64): avc:  denied  { unlink } for  pid=5505 comm="updatedb" name="mlocate.db" dev=dm-0 ino=197539 scontext=system_u:system_r:locate_t:s0 tcontext=system_u:object_r:var_lib_t:s0 tclass=file
audit(1195994811.545:65): avc:  denied  { read } for  pid=5517 comm="prelink" name="starfighter" dev=dm-0 ino=6872469 scontext=system_u:system_r:prelink_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=file
audit(1195994894.050:66): avc:  denied  { search } for  pid=6353 comm="procmail" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:procmail_t:s0 tcontext=system_u:object_r:default_t:s0 tclass=dir
audit(1195996942.171:67): avc:  denied  { search } for  pid=6463 comm="python" name="root" dev=dm-0 ino=10213633 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=dir
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
ppdev0: registered pardevice
ppdev0: unregistered pardevice
ppdev1: claim the port first
ppdev2: claim the port first
ppdev3: claim the port first
audit(1195997022.176:68): avc:  denied  { unlink } for  pid=2291 comm="cupsd" name="printer.ppd" dev=dm-0 ino=4290462 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cupsd_etc_t:s0 tclass=file
usb 3-2: USB disconnect, address 2
BUG: unable to handle kernel paging request at virtual address 01740190
 printing eip:
c057e4b5
*pde = 00000000
stopped custom tracer.
Oops: 0000 [#1]
PREEMPT SMP 
last sysfs file: /devices/pci0000:00/0000:00:00.0/irq
Modules linked in: ppdev(U) usblp(U) autofs4(U) rfcomm(U) l2cap(U) bluetooth(U) sunrpc(U) 8021q(U) nf_conntrack_netbios_ns(U) ipt_REJECT(U) nf_conntrack_ipv4(U) xt_state(U) nf_conntrack(U) nfnetlink(U) xt_tcpudp(U) iptable_filter(U) ip_tables(U) x_tables(U) video(U) sbs(U) button(U) dock(U) battery(U) ac(U) radeon(U) drm(U) ipv6(U) lp(U) loop(U) snd_emu10k1_synth(U) snd_emux_synth(U) snd_seq_virmidi(U) snd_seq_midi_emul(U) snd_emu10k1(U) snd_ac97_codec(U) ac97_bus(U) snd_seq_dummy(U) snd_seq_oss(U) snd_usb_audio(U) snd_seq_midi_event(U) snd_seq(U) snd_pcm_oss(U) snd_mixer_oss(U) snd_pcm(U) snd_timer(U) snd_page_alloc(U) snd_usb_lib(U) snd_util_mem(U) snd_rawmidi(U) snd_seq_device(U) snd_hwdep(U) snd(U) 8139cp(U) usb_storage(U) ohci1394(U) 8139too(U) soundcore(U) mii(U) parport_pc(U) parport(U) i2c_i801(U) rtc_cmos(U) i2c_core(U) serio_raw(U) sr_mod(U) cdrom(U) iTCO_wdt(U) iTCO_vendor_support(U) joydev(U) sg(U) dm_snapshot(U) dm_zero(U) dm_mirror(U) dm_mod(U) ata_piix(U) ata_generic(U) libata(U) sd_mod(U) scsi_mod(U) ext3(U) jbd(U) mbcache(U) ehci_hcd(U) ohci_hcd(U) uhci_hcd(U)
CPU:    0
EIP:    0060:[<c057e4b5>]    Not tainted VLI
EFLAGS: 00210286   (2.6.22.6-1.rt9.5.fc7.ccrmart #1)
EIP is at hcd_buffer_free+0x11/0x5e
eax: 01740190   ebx: ddfc7000   ecx: 1dfc7000   edx: 00000040
esi: 01740190   edi: 00000040   ebp: dd847b40   esp: d31d1d70
ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068  preempt:00000001
Process gnome-settings- (pid: 3012, ti=d31d0000 task=de6fb320 task.ti=d31d0000)
Stack: 1dfc7000 df0eca00 00000000 e09b9a00 1dfc7000 dd847b80 dd847b8c e09b9a64 
       de5178ac de517800 00001fff d2bb5480 e099b3f9 dfd21700 de7dd400 e09a6ab0 
       00000001 00001000 de7dd400 e09a6b13 de7dd400 de7dd400 de7dd5bc e09a35fd 
Call Trace:
 [<e09b9a00>] snd_usbmidi_out_endpoint_delete+0x26/0x38 [snd_usb_lib]
 [<e09b9a64>] snd_usbmidi_free+0x1a/0x3a [snd_usb_lib]
 [<e099b3f9>] snd_rawmidi_free+0x68/0x74 [snd_rawmidi]
 [<e09a6ab0>] snd_device_free+0x4c/0x82 [snd]
 [<e09a6b13>] snd_device_free_all+0x2d/0x4b [snd]
 [<e09a35fd>] snd_card_do_free+0x3c/0xa4 [snd]
 [<e09a36eb>] snd_card_file_remove+0x86/0xe1 [snd]
 [<e09a5daf>] snd_ctl_release+0xb2/0xba [snd]
 [<e09a3bc9>] snd_disconnect_release+0x6d/0x74 [snd]
 [<c047c7e9>] __fput+0xbc/0x172
 [<c0479ffd>] filp_close+0x51/0x58
 [<c042c907>] put_files_struct+0x5f/0xa7
 [<c042dab4>] do_exit+0x23d/0x757
 [<c043399d>] __dequeue_signal+0x10/0x11c
 [<c0433781>] recalc_sigpending+0xb/0x1d
 [<c042e03b>] sys_exit_group+0x0/0xd
 [<c043536f>] get_signal_to_deliver+0x361/0x3a0
 [<c040456b>] do_notify_resume+0x98/0x65f
 [<c047b488>] do_sync_read+0x0/0x10a
 [<c047bdef>] vfs_read+0xa6/0x158
 [<c047c277>] sys_read+0x5f/0x67
 [<c0404f98>] work_notifysig+0x13/0x1b
 =======================
Code: 89 f0 89 47 30 85 f6 74 07 8b 06 e8 a0 9c ec ff 8b 04 24 5a 5b 5e 5f 5d c3 90 57 89 d7 56 89 c6 53 89 cb 8b 4c 24 10 85 db 74 49 <8b> 00 31 d2 83 b8 c4 01 00 00 00 75 0a 89 d8 5b 5e 5f e9 eb 8e 
EIP: [<c057e4b5>] hcd_buffer_free+0x11/0x5e SS:ESP 0068:d31d1d70
BUG: sleeping function called from invalid context gnome-settings-(3012) at kernel/rtmutex.c:636
in_atomic():1 [00000001], irqs_disabled():1
 [<c061c13d>] __rt_spin_lock+0x21/0x3d
 [<c0428039>] __wake_up+0x18/0x59
 [<c0545924>] do_unblank_screen+0x25/0x11b
 [<c042aed7>] wake_up_klogd+0x33/0x35
 [<c040633d>] die+0x17a/0x23e
 [<c061df86>] do_page_fault+0x45f/0x532
 [<c061db27>] do_page_fault+0x0/0x532
 [<c061c772>] error_code+0x72/0x78
 [<c04200d8>] change_page_attr+0x9d/0x27a
 [<c057e4b5>] hcd_buffer_free+0x11/0x5e
 [<e09b9a00>] snd_usbmidi_out_endpoint_delete+0x26/0x38 [snd_usb_lib]
 [<e09b9a64>] snd_usbmidi_free+0x1a/0x3a [snd_usb_lib]
 [<e099b3f9>] snd_rawmidi_free+0x68/0x74 [snd_rawmidi]
 [<e09a6ab0>] snd_device_free+0x4c/0x82 [snd]
 [<e09a6b13>] snd_device_free_all+0x2d/0x4b [snd]
 [<e09a35fd>] snd_card_do_free+0x3c/0xa4 [snd]
 [<e09a36eb>] snd_card_file_remove+0x86/0xe1 [snd]
 [<e09a5daf>] snd_ctl_release+0xb2/0xba [snd]
 [<e09a3bc9>] snd_disconnect_release+0x6d/0x74 [snd]
 [<c047c7e9>] __fput+0xbc/0x172
 [<c0479ffd>] filp_close+0x51/0x58
 [<c042c907>] put_files_struct+0x5f/0xa7
 [<c042dab4>] do_exit+0x23d/0x757
 [<c043399d>] __dequeue_signal+0x10/0x11c
 [<c0433781>] recalc_sigpending+0xb/0x1d
 [<c042e03b>] sys_exit_group+0x0/0xd
 [<c043536f>] get_signal_to_deliver+0x361/0x3a0
 [<c040456b>] do_notify_resume+0x98/0x65f
 [<c047b488>] do_sync_read+0x0/0x10a
 [<c047bdef>] vfs_read+0xa6/0x158
 [<c047c277>] sys_read+0x5f/0x67
 [<c0404f98>] work_notifysig+0x13/0x1b
 =======================
Fixing recursive fault but reboot is needed!
[drm] Setting GART location based on new memory map
[drm] Loading R300 Microcode
[drm] writeback test succeeded in 1 usecs
audit(1196004662.138:69): avc:  denied  { execmod } for  pid=8654 comm="xmms" name="libmpg123.so" dev=dm-0 ino=8024624 scontext=user_u:system_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file
Comment 1 Martin Stransky 2007-11-26 17:19:55 EST
Looks like a kernel problem...
Comment 2 Christopher Brown 2008-01-15 23:30:05 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Note You need to log in before you can comment on or make changes to this bug.